# put

abstract fun put(key: K, value: V)

Adds a map entry to the property value.

#### Parameters

key

the key

value

the value

abstract fun put(key: K, providerOfValue: Provider<out V>)

Adds a map entry to the property value.

The given provider will be queried when the value of this property is queried. This property will have no value when the given provider has no value.

#### Parameters

key

the key

providerOfValue

the provider of the value